#####################################################  
## Master File for the algorithm of Huang and Yang
#####################################################
rm(list=ls(all=T)) 
options(chmhelp=TRUE)
source("c:/acer-book/book_all/nikolay_robinzonov_boost-Rcode/boost_nlar/analysis/functions/helpers-general.R") # simulate time series
source("c:/acer-book/book_all/nikolay_robinzonov_boost-Rcode/boost_nlar/analysis/functions/helpers-mc.R") # simulate time series
source("c:/acer-book/book_all/nikolay_robinzonov_boost-Rcode/boost_nlar/analysis/functions/simts.R")           # simulate time series
source("c:/acer-book/book_all/nikolay_robinzonov_boost-Rcode/boost_nlar/analysis/functions/stepwise.R")        # stepwise algorithm 
source("c:/acer-book/book_all/nikolay_robinzonov_boost-Rcode/boost_nlar/analysis/functions/p-spline.r")        # replica of examples in smooth.construct 


##################### Simulations ##########################
## example with AR1:    X_t ~ 0.5*X_{t-1} + 0.4*X{t-2} + 0.1*e
fe <- 0.1
ar1  <- AR1(len=410, fe = fe) 
dat <- embed2(ar1$y, 10)

res1 <- stepwise(dat, Smax=5, basis = "cr", fPath=T)
setcheck(ar1$trueset,res1$set)

## example with NLAR1a:
nlar1 <- NLAR1a(len=410, fe = fe)
dat <- embed2(nlar1$y, 10)
rnl1  <- stepwise(dat, Smax=10, basis = "cr", fPath=T)
setcheck(nlar1$trueset,rnl1$set)




> rnl1
$fit

Family: gaussian 
Link function: identity 

Formula:
Series1 ~ s(Series1.L1, bs = "cr", k = 3, fx = TRUE)
<environment: 0x00000000121879e8>

Estimated degrees of freedom:
2  total = 3 

GCV score: 0.8569676

$set
[1] "Series1.L1"

$MSE
[1] 0.8441613

$BIC
[1] -0.0645611

attr(,"class")
[1] "stepwise_HaY"
