#####################################################  
## Master File for the algorithm of Huang and Yang
#####################################################
rm(list=ls(all=T)) 
options(chmhelp=TRUE)
source("functions/helpers-general.R") # simulate time series
source("functions/helpers-mc.R") # simulate time series
source("functions/simts.R")           # simulate time series
source("functions/stepwise.R")        # stepwise algorithm 
source("functions/p-spline.r")        # replica of examples in smooth.construct 


##################### Simulations ##########################
## example with AR1:    X_t ~ 0.5*X_{t-1} + 0.4*X{t-2} + 0.1*e
fe <- 0.9
ar1  <- AR1(len=410, fe = fe) 
dat <- embed2(ar1$y, 10)

res1 <- stepwise(dat, Smax=5, basis = "cr", fPath=T)
setcheck(ar1$trueset,res1$set)

## example with NLAR1a:
nlar1 <- NLAR1a(len=410, fe = fe)
dat <- embed2(nlar1$y, 10)
rnl1  <- stepwise(dat, Smax=10, basis = "cr", fPath=T)
setcheck(nlar1$trueset,rnl1$set)
